# Summary​

## Super Heroes on OpenShift Workshop

- [About Workshop](super-heroes-on-openshift-workshop/about-workshop.md)

- [Application Architecture](super-heroes-on-openshift-workshop/architecture.md)

- [Getting Started](super-heroes-on-openshift-workshop/getting-started.md)

## Application Services Deployment

- [Databases Deployment](application-services-deployment/database-deployment.md)

  - [Deploy Database For Hero Microservice](application-services-deployment/hero-database.md)

  - [Deploy Database For Villain Microservice](application-services-deployment/villain-database.md)

  - [Deploy Database For Fight Microservice](application-services-deployment/fight-database.md)

- [AMQ Streams (Kafka) Deployment](application-services-deployment/kafka-deployment.md)

- [Service Registry (Apicurio) Deployment](application-services-deployment/service-registry-deployment.md)

## Application Deployment

- [Microservices Deployment](application-deployment/microservices-deployment.md)

  - [Hero Microservice](application-deployment/hero-microservice.md)

  - [Villain Microservice](application-deployment/villain-microservice.md)

  - [Fight Microservice](application-deployment/fight-microservice.md)

  - [Super Hero UI Microservice](application-deployment/super-hero-ui-microservice.md)

  - [Statistics and UI Microservices](application-deployment/statistics-and-ui-microservices.md)

  - [Beautify The Topology View](application-deployment/beautify-topology.md)

## Continuous Deployment (CD)

- [GitOps](continuous-deployment/gitops.md)

## Application Monitoring

- [Application Metrics](application-monitoring/application-metrics.md)

  - [Configure Service Monitoring](application-monitoring/configure-service-monitoring.md)

  - [Query Application Metrics](application-monitoring/query-application-metric.md)

- [Monitor Application with Grafana](application-monitoring/monitor-app-with-grafana.md)

  - [Create Grafana Instance](application-monitoring/create-grafana-instance.md)

  - [Setup Grafana Datasource](application-monitoring/setup-grafana-datasource.md)

  - [Create Grafana Dashboard](application-monitoring/create-grafana-dashboard.md)

- [Distributed Tracing](application-monitoring/distributed-tracing.md)

  - [Configure OpenShift Distributed Tracing Platform](application-monitoring/configure-distributed-tracing-platform.md)

  - [Configure OpenShift Distributed Tracing Data Collection](application-monitoring/configure-distributed-tracing-data-collection.md)

  - [Trace Application Transaction](application-monitoring/trace-application-transaction.md)

## Application Management

- [Service Mesh](application-management/service-mesh.md)

## Appendix

- [What's Quarkus?](appendix/quarkus.md)

- [Useful Resources](appendix/useful-resources.md)
